Subject: Re: linux-next: Tree for March 11 (staging/multimedia)

From: Greg KH <[email-masked]>
Date: Wed, 11 Mar 2009 11:24:11 -0700

On Wed, Mar 11, 2009 at 11:21:52AM -0700, Randy Dunlap wrote:
> Greg KH wrote:
> > On Wed, Mar 11, 2009 at 10:12:39AM -0700, Randy Dunlap wrote:
> >> Stephen Rothwell wrote:
> >>> Hi all,
> >>>
> >>> Changes since 20090310:
> >>
> >> drivers/staging/go7007/go7007-v4l2.c:1830: error: 'VID_TYPE_CAPTURE' undeclared here (not in a function)
> > 
> > Odd, nothing has changed in this driver, is this a v4l api change?
> 
> I don't know if the vl4 API changed, but this error has been around
> for some time now.  Just because it's just now being reported is one
> change.  Surely other people build these drivers.  ???

I do, and don't seem to get this error.

Ah, it's a CONFIG_VIDEO_V4L1_COMPAT issue.  I'll see what needs to do to
fix this up.

thanks,

greg k-h